#include "core.h"
#include "timer.h"

#ifndef  __LCD_H
#define  __LCD_H

#define  LCD_2X20
//#define  LCD_2X216


/* Anschlussbelegung des LCDs am SR (R/W,D0,D1,D2,D3 an GND) */
#define     SR_D0
#define     SR_D1                      rs
#define     SR_D2                      enable
#define     SR_D3       
#define     SR_D4                      d7
#define     SR_D5                      d6
#define     SR_D6                      d5
#define     SR_D7                      d4

#define     LCD_CMD_8BIT_MODE          0b110000
#define     LCD_CMD_4BIT_MODE          0b100000
#define     LCD_CMD_ONE_ROW            0b110000
#define     LCD_CMD_TWO_ROWS           0b111000
#define     LCD_CMD_DISPLAY_CLEAR      0b000001

/* LCD initialisieren */
void lcd_init(void);

/* bernahmeimpuls ausgeben */
void lcd_clk(void);

/* Nibble an LCD senden */
void lcd_write_nibble(unsigned char data);

/* Byte an LCD senden */
void lcd_write_byte(unsigned char data);  

/* Kommando an LCD senden */
void lcd_write_cmd(unsigned char data);

/* Zeichen an LCD senden */
void lcd_write_char(unsigned char data);

/* Kursor in Zeile setzen */
void lcd_set_row(unsigned short row);

/* String an LCD senden */
void lcd_write_string(unsigned short pos,char *lcd_str);


#endif
